summaryrefslogtreecommitdiff
path: root/shell/completion.zsh
diff options
context:
space:
mode:
author林千里 <lincheney@gmail.com>2024-11-12 02:53:36 +1100
committerGitHub <noreply@github.com>2024-11-12 00:53:36 +0900
commit0c64c6878154da1db90084dddc81608e47bd7e33 (patch)
treeff6df787cbf7f2cbd660774e24b7cff3980fa10f /shell/completion.zsh
parent3ec035c68bd48cdb619f1329c21eaf53d77abc81 (diff)
downloadfzf-0c64c6878154da1db90084dddc81608e47bd7e33.tar.gz
Fix zsh $+name syntax does not work with setopt ksh_arrays (#4084)
Diffstat (limited to 'shell/completion.zsh')
-rw-r--r--shell/completion.zsh2
1 files changed, 1 insertions, 1 deletions
diff --git a/shell/completion.zsh b/shell/completion.zsh
index a6d686e9..171a1b2b 100644
--- a/shell/completion.zsh
+++ b/shell/completion.zsh
@@ -308,7 +308,7 @@ fzf-completion() {
setopt localoptions noshwordsplit noksh_arrays noposixbuiltins
# Check if at least one completion system (old or new) is active
- if ! zmodload -F zsh/parameter p:functions 2>/dev/null || ! (( $+functions[compdef] )); then
+ if ! zmodload -F zsh/parameter p:functions 2>/dev/null || ! (( ${+functions[compdef]} )); then
if ! zmodload -e zsh/compctl; then
zmodload -i zsh/compctl
fi